#include <iostream>

using namespace std;
int a[1000009];
int main()
{
   long long n, k=0, ans=0, r=0, schet=0, ma=-6, l=0,  uio=0, t=2;
   cin>>n;
   r=n-1;
   for(long long i=0; i<n; i++)
   {
       cin>>a[i];
   }
   while(ma!=0)
   {
     ma=-6;
        ans+=a[r]; k++;
   for(long long i=r; i>=0; i--)
   {
       if(a[i]==a[i-1] && a[i]!=1) {ans=ans+a[i-1]; k++;}
       else {r=i-1; uio++; break;}
   }
   if(uio==0) r--;
   for(long long i=n-1; i>r; i--)
   {
       a[i]=0;
   }
   while(k--)
   {
     for(long long i=r; i>=0; i--)
   {
       a[i]--;
   }
   }
    for(long long i=n-1; i>=0; i--)
   {
       if(ma<a[i]) {ma=a[i];}

   }
//   cout<<ma<<"ma"<<' ';
// for(int i=0; i<n; i++)
//   {
//       cout<<a[i]<<' ';
//   }
   k=0; uio=0;
  }

  cout<<ans;

}
